Bug 1234654 - Package Review: python-gammu
Summary: Package Review: python-gammu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-22 23:59 UTC by Sergio Monteiro Basto
Modified: 2015-12-06 22:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-06 19:20:02 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Sergio Monteiro Basto 2015-06-22 23:59:38 UTC
Since gammu-1.36, python-gammu have a complete independent development, have a different repo and have a different way to install, now to install needs gammu-devel in system. So we need create a package for python-gammu separately (as upstream) .

Spec URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu.spec 
SRPM URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu-2.3-1.fc21.src.rpm

http://wammu.eu/python-gammu/
Description:
Python bindings for Gammu library.
It currently does not support all Gammu features,
but range of covered functions is increasing,
if you need some specific, feel free to use bug tracking system for feature
requests.

Comment 1 Sergio Monteiro Basto 2015-06-23 11:59:02 UTC
Hi Sergio

Sérgio Basto schrieb am Di., 23. Juni 2015 um 02:07 Uhr:
Hi,
I saw you in https://admin.fedoraproject.org/pkgdb/package/gammu/
Do want/help review this package [1] ?

I'll see if I find the time as I am currently very busy. Sorry.
- Why don't you have a python3 subpackage? It seems to be supported:
  https://pypi.python.org/pypi/python-gammu/
- What does the Obsoletes mean? It's a new package, you don't need to obsolete python-gammu < some old version.
- Please call the setup.py with the proper python macro.
- As the tests are included in the tarball [2], could you try to %check them when building?
- The group seems strange, I'd remove it as iirc it is not needed anymore.

The rest seems fine on the first brief look.
 
Best,
  Tom
 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1234654
[2] https://github.com/gammu/python-gammu/blob/master/MANIFEST.in

Comment 2 Sergio Monteiro Basto 2015-06-23 12:07:55 UTC
Hi, Thomas
I thought that is important all information be public so, I posted it your
answer.
I hope you don't mind be added to this package review, if you do, please feel free to remove yourself from cc list. , 
Thanks for yours review, it is a good review, I will fix package soon. 

Thanks.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-07-16 14:54:40 UTC
So, what's the status here?

Comment 4 Sergio Monteiro Basto 2015-07-16 16:39:48 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #3)
> So, what's the status here?

Can you review it ? I need fix python3 subpackage etc

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-07-16 16:56:45 UTC
I can review it, but please fix the issues from #c1 first. See https://jamatos.fedorapeople.org/python-configparser.spec for an example of standard python %prep, %build, and %install.

Comment 6 William Moreno 2015-08-10 04:08:38 UTC
Please update the spec to last Python Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Python

Comment 7 Fedora End Of Life 2015-11-04 10:55:00 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Sergio Monteiro Basto 2015-11-04 14:53:56 UTC
I'm not give up , someone ready to review it ?

Comment 9 William Moreno 2015-11-04 15:03:23 UTC
The package looks good but you need to update to the latest Python Packaging Guidelines:

https://fedoraproject.org/wiki/Packaging:Python

Comment 11 William Moreno 2015-11-09 17:27:11 UTC
You must provide a python2 subpackage and a python3 subpackage following the uptodate python packaging guidelines:

https://fedoraproject.org/wiki/Packaging:Python

Comment 12 Sergio Monteiro Basto 2015-11-09 20:25:48 UTC
Spec URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu.spec 
SRPM URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu-2.4-1.fc21.src.rpm

Now provide a python2 package and a python3 package , we don't have sub-packages

Comment 13 Sergio Monteiro Basto 2015-11-11 00:43:54 UTC
(In reply to William Moreno from comment #11)
> You must provide a python2 subpackage and a python3 subpackage following the
> uptodate python packaging guidelines:
> 
> https://fedoraproject.org/wiki/Packaging:Python

Now its provides a python2 sub-packages and a python3 sub-package, 
can you approve this package please ? , F23 don't have gammu neither wammu

Comment 14 Sergio Monteiro Basto 2015-11-17 17:55:09 UTC
 c'mon, someone do the review please 

Issues:
=======
- Permissions on files are set properly.
  Note: See rpmlint output
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

Rpmlint
-------
Checking: python2-gammu-2.4-1.fc24.x86_64.rpm
          python3-gammu-2.4-1.fc24.x86_64.rpm
          python-gammu-2.4-1.fc24.src.rpm
python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/gammu/_gammu.cpython-35m-x86_64-linux-gnu.so 775
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/data.cpython-35.opt-1.pyc
python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gammu/_gammu.so 775
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/exception.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/worker.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/smsd.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/__init__.cpython-35.opt-1.pyc
python3-gammu.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

Comment 15 Zbigniew Jędrzejewski-Szmek 2015-11-17 18:58:21 UTC
There are issues that have to be fixed:

- %{?python_provide:%python_provide python2-%{srcname}} is duplicated on line 22.
It should only be present on line 33.

- python2-gammu contains %{python3_sitearch}/gammu. This does not look right.

- python2_sitearch should be used instead of python_sitearch.

===== Notes =====

Upgrade path looks ok because python-gammu-2.4 is older than python-gammu-1.35 built from gammu.

License is OK, license file is present, %license macro is used.
New python packaging template is used.
Latest version is present.
Upstream and source links are OK.
Description and summary are OK.

Rpmlint
-------
Checking: python2-gammu-2.4-1.fc24.x86_64.rpm
          python3-gammu-2.4-1.fc24.x86_64.rpm
          python-gammu-2.4-1.fc24.src.rpm
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/worker.cpython-35.opt-1.pyc
False positive.

python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gammu/_gammu.so 775
python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/gammu/_gammu.cpython-35m-x86_64-linux-gnu.so 775
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/smsd.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/data.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/exception.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/__init__.cpython-35.opt-1.pyc
python3-gammu.x86_64: W: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

Nothing interesting here.

Rpmlint (debuginfo)
-------------------
Checking: python-gammu-debuginfo-2.4-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
python3-gammu.x86_64: W: only-non-binary-in-usr-lib
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/smsd.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/worker.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/__init__.cpython-35.opt-1.pyc
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/data.cpython-35.opt-1.pyc
python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python2.7/site-packages/gammu/_gammu.so 775
python2-gammu.x86_64: W: python-bytecode-without-source /usr/lib64/python3.5/site-packages/gammu/__pycache__/exception.cpython-35.opt-1.pyc
python2-gammu.x86_64: E: non-standard-executable-perm /usr/lib64/python3.5/site-packages/gammu/_gammu.cpython-35m-x86_64-linux-gnu.so 775
3 packages and 0 specfiles checked; 2 errors, 6 warnings.

All OK.

Requires
--------
python3-gammu (rpmlib, GLIBC filtered):

python2-gammu (rpmlib, GLIBC filtered):
    libGammu.so.7()(64bit)
    libc.so.6()(64bit)
    libgsmsd.so.7()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libpython2.7.so.1.0()(64bit)
    libpython3.5m.so.1.0()(64bit) <-------------------------------------- not ok
    python(abi)
    rtld(GNU_HASH)

Provides
--------
python3-gammu:
    python3-gammu
    python3-gammu(x86-64)

python2-gammu:
    python-gammu
    python-gammu(x86-64)
    python2-gammu
    python2-gammu(x86-64)

Unversioned so-files
--------------------
python2-gammu: /usr/lib64/python2.7/site-packages/gammu/_gammu.so
python2-gammu: /usr/lib64/python3.5/site-packages/gammu/_gammu.cpython-35m-x86_64-linux-gnu.so

OK.

Source checksums
----------------
https://github.com/gammu/python-gammu/archive/2.4.tar.gz#/python-gammu-2.4.tar.gz :
  CHECKSUM(SHA256) this package     : 106e769604a5d68622d1cbbc79690222493d643ba4f8f2198f521901299cf6f2
  CHECKSUM(SHA256) upstream package : 106e769604a5d68622d1cbbc79690222493d643ba4f8f2198f521901299cf6f2


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1234654
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api, C/C++
Disabled plugins: Java, SugarActivity, fonts, Haskell, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 16 Sergio Monteiro Basto 2015-11-17 19:20:45 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #15)
Thanks.


Spec URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu.spec 
SRPM URL: https://sergiomb.fedorapeople.org/python-gammu/python-gammu-2.4-2.fc23.src.rpm

- Fixed 3 typos:
  - %{?python_provide:%python_provide python2-%{srcname}} is duplicated on line 22.
  It should only be present on line 33.
  - python2-gammu contains %{python3_sitearch}/gammu. This does not look right.
  - python2_sitearch should be used instead of python_sitearch.

Let me know if we need improve something else .

Comment 17 Zbigniew Jędrzejewski-Szmek 2015-11-17 20:22:55 UTC
Everything looks good. Package is APPROVED.

Comment 18 Sergio Monteiro Basto 2015-11-17 20:59:32 UTC
Package Change Request
======================
Package Name: python-gammu
Owners: sergiomb
New Branches: f21 f22 f23

many thanks

Comment 19 Zbigniew Jędrzejewski-Szmek 2015-11-17 21:01:59 UTC
This does not work anymore. Try https://admin.fedoraproject.org/pkgdb/request/package/ .

Comment 20 Sergio Monteiro Basto 2015-11-17 21:16:19 UTC
https://admin.fedoraproject.org/pkgdb/packagers/python-gammu*/

    No packagers found in the database.

https://admin.fedoraproject.org/pkgdb/request/package/

There is already a package named: python-gammu

I'm going build 
gammu-1.36.2-1.fc23.src.rpm without python-gammu but

Comment 21 Sergio Monteiro Basto 2015-11-17 22:56:57 UTC
News : 
python-gammu indeed exits  [1] and was retired in f11 , so this is one unretirement .
I failed because packages also fails [2] says it is a sub-package when it is an retired package


[1] https://admin.fedoraproject.org/pkgdb/package/python-gammu/ 

[2] https://apps.fedoraproject.org/packages/python-gammu/

Comment 22 Zbigniew Jędrzejewski-Szmek 2015-11-17 23:30:07 UTC
I think you should file a ticket at https://fedorahosted.org/rel-eng .

Comment 23 Zbigniew Jędrzejewski-Szmek 2015-11-17 23:35:31 UTC
Maybe you just need to ask for unretirement, with a link to this review.

Comment 24 Sergio Monteiro Basto 2015-11-17 23:54:00 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #23)
> Maybe you just need to ask for unretirement, with a link to this review.

I did that , we will see if my request is approved .
Thanks ,

Comment 25 Fedora Update System 2015-11-24 01:08:34 UTC
python-gammu-2.4-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a143ab71df

Comment 26 Fedora Update System 2015-11-24 01:09:14 UTC
python-gammu-2.4-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c7a4585cd0

Comment 27 Fedora Update System 2015-11-24 15:25:32 UTC
python-gammu-2.4-2.fc21 gammu-1.36.6-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-21c15bbef6

Comment 28 Fedora Update System 2015-11-25 02:54:40 UTC
python-gammu-2.4-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-gammu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a143ab71df

Comment 29 Fedora Update System 2015-11-26 01:22:19 UTC
gammu-1.36.6-2.fc21, python-gammu-2.4-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-gammu gammu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-21c15bbef6

Comment 30 Fedora Update System 2015-11-26 02:26:59 UTC
python-gammu-2.4-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-gammu'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c7a4585cd0

Comment 31 Fedora Update System 2015-12-06 19:20:00 UTC
python-gammu-2.4-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-12-06 22:48:00 UTC
python-gammu-2.4-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.